<?php
/**
 * @wordpress-plugin
 * Plugin Name:       افزونه crm
 * Description:       با نصب این افزونه شرکت توسعه دهنده crm میتواند به اطلاعات کاربران از طریق api دسترسی پیدا کند
 * Version:           1.0.0
 * Author:            ایده ارتباطات آوازه
 */

add_action('admin_menu', function () {
    add_menu_page("تنظیمات crm", "تنظیمات crm", "manage_options", 'crmManage', "crmStSettings", null, 99);
}
);

$plugin_dir_path_crm=plugin_dir_path(__FILE__);
//$plugin_dir_url_crm=plugin_dir_url(__FILE__);
// Show page setting  theme
function crmStSettings()
{
    global $plugin_dir_path_crm;
    if (!current_user_can("manage_options")) {
        wp_die("شما دسترسی لازم برای این صفحه را ندارید");
    }
    include_once $plugin_dir_path_crm."/files/crmSetting.php";
}

// Add Setting for save Options
add_action('admin_init', function () {
    register_setting('crm_setting', 'crm_setting');
}
);

function generateRandomStringCRM($length = 32) {
    $characters = '0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';
    $charactersLength = strlen($characters);
    $randomString = '';
    for ($i = 0; $i < $length; $i++) {
        $randomString .= $characters[rand(0, $charactersLength - 1)];
    }
    return $randomString;
}
function api_crm_users(){
    $cities = array(
        "تبریز" => 32,
        "میانه" => 33,
        "مرند" => 34,
        "مراغه" => 2339,
        "شهرجدیدسهند" => 36,
        "اسکو" => 37,
        "سردرود" => 38,
        "آذر شهر" => 39,
        "شبستر" => 40,
        "هریس" => 41,
        "هادیشهر" => 42,
        "جلفا" => 43,
        "اهر" => 44,
        "کلیبر" => 45,
        "سراب" => 46,
        "بستان آباد" => 47,
        "عجب شیر" => 48,
        "بناب" => 49,
        "ملکان" => 50,
        "قره آغاج" => 51,
        "اغچه ریش" => 52,
        "ترک" => 53,
        "ترکمانچای" => 54,
        "خاتون اباد" => 793,
        "شیخدراباد" => 56,
        "قره بلاغ" => 1601,
        "آقکند" => 58,
        "اچاچی" => 59,
        "گوندوغدی" => 60,
        "پورسخلو" => 61,
        "کنگاور" => 1854,
        "قویوجاق" => 63,
        "ارموداق" => 64,
        "کهنمو" => 65,
        "اربط" => 66,
        "خسرو شهر" => 67,
        "لاهیجان" => 1953,
        "خاص اباد (خاصبان )" => 69,
        "ایلخچی" => 70,
        "سرای (سرای ده )" => 71,
        "کجوار" => 72,
        "خلجان" => 73,
        "ینگی اسپران (سفیدان جد" => 74,
        "باسمنج" => 75,
        "شادبادمشایخ (پینه شلوا" => 76,
        "کندرود" => 77,
        "مایان سفلی" => 78,
        "تیمورلو" => 79,
        "قدمگاه (بادام یار)" => 80,
        "ممقان" => 81,
        "گوگان" => 82,
        "شیرامین" => 83,
        "هفت چشمه" => 2077,
        "امند" => 85,
        "خامنه" => 86,
        "سیس" => 87,
        "صوفیان" => 88,
        "شند آباد" => 89,
        "تسوج" => 90,
        "شرفخانه" => 91,
        "مینق" => 92,
        "بخشایش" => 93,
        "سرند" => 94,
        "زرنق" => 95,
        "بیلوردی" => 96,
        "خواجه" => 97,
        "گلین قیه" => 98,
        "هرزندجدید (چای هرزند)" => 99,
        "بناب جدید" => 100,
        "زنوز" => 101,
        "دولت اباد" => 1891,
        "یکان کهریز" => 103,
        "یامچی" => 104,
        "شجاع" => 105,
        "داران" => 427,
        "سیه رود" => 107,
        "نوجه مهر" => 108,
        "کشکسرای" => 109,
        "خاروانا" => 110,
        "هوراند" => 111,
        "چول قشلاقی" => 112,
        "ورگهان" => 113,
        "افیل" => 114,
        "اذغان (ازغان )" => 115,
        "سیه کلان" => 116,
        "ورزقان" => 117,
        "اق براز" => 118,
        "مولان" => 119,
        "خمارلو" => 120,
        "عاشقلو" => 121,
        "اسکلو (اسگلو)" => 122,
        "آبش احمد" => 123,
        "یوزبند" => 124,
        "شهرک صنعتی کاغذکنان" => 125,
        "کندوان" => 126,
        "تیل" => 127,
        "وایقان" => 128,
        "لاریجان" => 129,
        "اسبفروشان" => 130,
        "ابرغان" => 131,
        "شربیان" => 132,
        "مهربان" => 133,
        "رازلیق" => 134,
        "اغمیون" => 135,
        "اردها" => 136,
        "قره چای حاج علی" => 137,
        "قره بابا" => 138,
        "سعیداباد" => 1230,
        "الانق" => 140,
        "کردکندی" => 141,
        "قره چمن" => 142,
        "ورجوی" => 143,
        "گل تپه" => 2432,
        "خداجو" => 145,
        "داش اتان" => 146,
        "داش بلاغ بازار" => 147,
        "صومعه" => 148,
        "علویان" => 149,
        "شیراز" => 1502,
        "خضرلو" => 151,
        "ینگجه" => 152,
        "مهماندار" => 153,
        "خانیان" => 154,
        "دانالو" => 155,
        "رحمانلو" => 156,
        "زاوشت" => 157,
        "القو" => 158,
        "روشت بزرگ" => 159,
        "خوشه مهر (خواجه امیر)" => 160,
        "زوارق" => 161,
        "خانه برق قدیم (شورخانه ب" => 162,
        "لکلر" => 163,
        "بایقوت" => 164,
        "اروق" => 165,
        "اق منار" => 166,
        "لیلان" => 167,
        "طوراغای (طوراغایی )" => 168,
        "هشترود" => 169,
        "اوشندل" => 170,
        "علی ابادعلیا" => 171,
        "ذوالبین" => 172,
        "نظر کهریزی" => 173,
        "اتش بیگ" => 174,
        "سلوک" => 175,
        "نصیرابادسفلی" => 176,
        "ارسگنای سفلی" => 177,
        "سلطان اباد (س انمکزار" => 178,
        "قلعه حسین اباد" => 179,
        "ذاکرکندی" => 180,
        "قوچ احمد" => 181,
        "اغ زیارت" => 182,
        "تیکمه داش" => 183,
        "خراجو" => 184,
        "کوزه کنان" => 185,
        "کلوانق" => 186,
        "دوزدوزان" => 187,
        "میاوق" => 188,
        "ایبلو" => 189,
        "دستجرد" => 1663,
        "نوشین" => 191,
        "طلاتپه" => 192,
        "راژان" => 193,
        "هاشم اباد" => 194,
        "دیزج" => 357,
        "زیوه" => 196,
        "تویی" => 197,
        "موانا" => 198,
        "قره باغ" => 199,
        "بهله" => 200,
        "امام کندی" => 201,
        "نازلو" => 202,
        "سرو" => 203,
        "کانسپی" => 204,
        "ممکان" => 205,
        "میرآباد" => 206,
        "حسنلو" => 207,
        "کهریزعجم" => 208,
        "محمدیار" => 209,
        "شیخ احمد" => 210,
        "بیگم قلعه" => 211,
        "راهدانه" => 212,
        "شاهوانه" => 213,
        "نالوس" => 214,
        "ده شمس بزرگ" => 215,
        "گلاز" => 216,
        "لولکان" => 217,
        "سیاوان" => 218,
        "کله کین" => 219,
        "شین اباد" => 220,
        "چیانه" => 221,
        "بیکوس" => 222,
        "هنگ اباد" => 223,
        "گردکشانه" => 224,
        "پسوه" => 225,
        "ریگ اباد" => 226,
        "احمدغریب" => 227,
        "سیه باز" => 228,
        "بیله وار" => 229,
        "ولدیان" => 230,
        "قوروق" => 231,
        "هندوان" => 232,
        "بدلان" => 233,
        "بلسورسفلی" => 234,
        "استران" => 235,
        "قطور" => 236,
        "شیرین بلاغ" => 237,
        "مراکان" => 238,
        "چورس" => 239,
        "قورول علیا" => 240,
        "بسطام" => 1276,
        "قره تپه" => 242,
        "ریحانلوی علیا" => 243,
        "زاویه سفلی" => 244,
        "آواجیق" => 245,
        "بازرگان" => 246,
        "قم قشلاق" => 247,
        "یولاگلدی" => 248,
        "قرنقو" => 249,
        "شوط" => 250,
        "پلدشت" => 251,
        "نازک علیا" => 252,
        "حسن کندی" => 253,
        "وردان" => 254,
        "قره قشلاق" => 255,
        "تمر" => 256,
        "اشنویه" => 257,
        "پیرانشهر" => 258,
        "جلدیان" => 259,
        "ایواوغلی" => 260,
        "دیزج دیز" => 261,
        "فیرورق" => 262,
        "ماکو" => 263,
        "سلماس" => 264,
        "تازه شهر" => 265,
        "گوگ تپه" => 371,
        "بوکان" => 267,
        "سردشت" => 2401,
        "میاندوآب" => 269,
        "شاهیندژ" => 270,
        "تکاب" => 271,
        "ارومیه" => 272,
        "سیلوه" => 273,
        "خوی" => 274,
        "مهاباد" => 598,
        "سیلوانه" => 276,
        "قوشچی" => 277,
        "نقده" => 278,
        "باراندوز" => 279,
        "دیزج دول" => 280,
        "ابگرم" => 1297,
        "سرنق" => 282,
        "چهریق علیا" => 283,
        "داراب" => 1514,
        "دلزی" => 285,
        "اغ برزه" => 286,
        "سنجی" => 287,
        "خاتون باغ" => 288,
        "حاجی حسن" => 289,
        "سوگلی تپه" => 290,
        "گلیجه" => 291,
        "حاجی کند" => 292,
        "باغچه" => 293,
        "خورخوره" => 1717,
        "کاولان علیا" => 295,
        "سیاقول علیا" => 296,
        "اگریقاش" => 297,
        "اوزون دره علیا" => 298,
        "یکشوه" => 299,
        "جوانمرد" => 300,
        "اختتر" => 301,
        "سیمینه" => 302,
        "رحیم خان" => 303,
        "گل تپه قورمیش" => 304,
        "شلماش" => 305,
        "اسلام اباد" => 2447,
        "بیوران سفلی" => 307,
        "زمزیران" => 308,
        "ربط" => 309,
        "اقبال" => 310,
        "ملاشهاب الدین" => 311,
        "للکلو" => 312,
        "بگتاش" => 313,
        "چهار برج" => 314,
        "گوگ تپه خالصه" => 315,
        "تک اغاج" => 316,
        "هاچاسو" => 317,
        "هولاسو" => 318,
        "قوزلوی افشار" => 319,
        "محمودآباد" => 2175,
        "الی چین" => 321,
        "حیدرباغی" => 322,
        "حمزه قاسم" => 323,
        "اوغول بیگ" => 324,
        "دورباش" => 325,
        "اقابیگ" => 326,
        "احمدابادسفلی" => 327,
        "باروق" => 328,
        "زرآباد" => 329,
        "قره ضیاءالدین" => 330,
        "سیه چشمه" => 331,
        "مرگنلر" => 332,
        "خلیفان" => 333,
        "کشاورز" => 334,
        "اردبیل" => 335,
        "نمین" => 336,
        "نیر" => 2493,
        "گرمی " => 338,
        "مشگین شهر" => 339,
        "بیله سوار" => 340,
        "خلخال" => 341,
        "پارس آباد" => 342,
        "آبی بیگلو" => 343,
        "ننه کران" => 344,
        "عنبران" => 345,
        "گرده" => 346,
        "ثمرین" => 347,
        "اردیموسی" => 348,
        "سرعین" => 349,
        "کورائیم" => 350,
        "مهماندوست علیا" => 352,
        "هیر" => 353,
        "بقراباد" => 354,
        "بودالالو" => 355,
        "اراللوی بزرگ" => 356,
        "حمزه خانلو" => 358,
        "زهرا" => 359,
        "انی علیا" => 360,
        "قاسم کندی" => 361,
        "تازه کندانگوت" => 362,
        "قره اغاج پایین" => 363,
        "پریخان" => 364,
        "قصابه" => 365,
        "فخرآباد" => 366,
        "رضی" => 367,
        "قوشه سفلی" => 368,
        "مرادلو" => 369,
        "گنجوبه" => 370,
        "انجیرلو" => 372,
        "جعفر آباد" => 373,
        "قشلاق اغداش کلام" => 374,
        "خورخورسفلی" => 375,
        "شورگل" => 376,
        "نظرعلی بلاغی" => 377,
        "لنبر" => 378,
        "فیروزاباد" => 379,
        "گیوی" => 380,
        "خلفلو" => 381,
        "هشتجین" => 382,
        "برندق" => 383,
        "کلور" => 384,
        "تازه کندجدید" => 385,
        "گوشلو" => 386,
        "اق قباق علیا" => 387,
        "شهرک غفاری" => 388,
        "اصلاندوز" => 389,
        "بران علیا" => 390,
        "لاهرود" => 391,
        "دهاقان" => 392,
        "اسفرجان" => 393,
        "سمیرم" => 394,
        "حنا" => 395,
        "مهرگرد" => 396,
        "جوشقان استرک" => 397,
        "آران و بیدگل" => 398,
        "قمصر" => 745,
        "نطنز" => 400,
        "گلپایگان" => 401,
        "گوگد" => 402,
        "خوانسار" => 403,
        "اصفهان" => 404,
        "شاهین شهر" => 405,
        "خمینی شهر" => 406,
        "نجف آباد" => 407,
        "شهرضا" => 408,
        "کاشان" => 409,
        "مورچه خورت" => 410,
        "دولت آباد" => 1063,
        "میمه" => 672,
        "خور" => 1595,
        "کوهپایه" => 414,
        "اردستان" => 415,
        "نائین" => 416,
        "درچه پیاز" => 417,
        "زواره" => 418,
        "فلاورجان" => 419,
        "قهدریجان" => 420,
        "زرین شهر" => 421,
        "مبارکه" => 2504,
        "فولادشهر" => 423,
        "تیران" => 424,
        "دهق" => 425,
        "علویجه" => 426,
        "چادگان" => 428,
        "فریدونشهر" => 429,
        "کرسگان" => 430,
        "بهاران شهر" => 431,
        "سهروفیروزان" => 432,
        "ایمانشهر" => 433,
        "زازران" => 434,
        "شرودان" => 435,
        "جوجیل" => 436,
        "ورنامخواست" => 437,
        "سده لنجان" => 438,
        "چرمهین" => 439,
        "باغ بهادران" => 440,
        "نوگوران" => 441,
        "چمگردان" => 442,
        "کرچگان" => 443,
        "دیزیچه" => 444,
        "زیباشهر" => 445,
        "باغ ملک" => 1155,
        "دهسرخ" => 447,
        "پلی اکریل" => 448,
        "فولادمبارکه" => 449,
        "کرکوند" => 450,
        "زاینده رود" => 451,
        "چم نور" => 452,
        "کچوییه" => 453,
        "اشیان" => 454,
        "طالخونچه" => 455,
        "تاسیسات سدنکواباد" => 456,
        "رضوانشهر" => 2000,
        "رضوان شهر" => 2000,
        "ورپشت" => 458,
        "عسگران" => 459,
        "عزیزاباد" => 1949,
        "میراباد" => 1893,
        "حاجی اباد" => 462,
        "خیراباد" => 1833,
        "اشن" => 464,
        "خونداب" => 465,
        "حسین اباد" => 2278,
        "غرغن" => 467,
        "دامنه" => 468,
        "بوئین و میاندشت" => 469,
        "زرنه" => 653,
        "بلطاق" => 471,
        "کرچ" => 472,
        "قره بلطاق" => 473,
        "سازمان عمران زاینده رود" => 474,
        "مشهدکاوه" => 475,
        "اسکندری" => 476,
        "رزوه" => 477,
        "نهرخلج" => 478,
        "چاه غلامرضارحیمی" => 479,
        "اورگان" => 864,
        "گلدشت" => 2325,
        "جوزدان" => 482,
        "کهریزسنگ" => 483,
        "نهضت اباد" => 484,
        "قلعه سرخ" => 485,
        "اسلام ابادموگویی" => 486,
        "مصیر" => 487,
        "برف انبار" => 488,
        "قمشلو" => 489,
        "پوده" => 490,
        "مهیار" => 491,
        "پرزان" => 492,
        "منوچهراباد" => 493,
        "شهرک صنایع شیمیایی ر" => 494,
        "همگین" => 495,
        "گلشن" => 1780,
        "کهرویه" => 497,
        "قصرچم" => 498,
        "امین اباد" => 499,
        "مقصودبیک" => 500,
        "سولار" => 501,
        "منظریه" => 502,
        "گرموک" => 503,
        "هست" => 504,
        "ونک" => 505,
        "کهنگان" => 506,
        "کمه" => 507,
        "مورک" => 508,
        "چهارراه" => 509,
        "ده نسا سفلی" => 510,
        "اغداش" => 511,
        "چشمه رحمان" => 512,
        "ورق" => 513,
        "سعادت اباد" => 514,
        "فتح اباد" => 2510,
        "سن سن" => 516,
        "ده زیره" => 517,
        "رحق" => 518,
        "اب شیرین" => 519,
        "نشلج" => 520,
        "مشکات" => 521,
        "سفیدشهر" => 522,
        "مزرعه صدر" => 523,
        "ابوزیدآباد" => 524,
        "کاغذی" => 525,
        "قهرود" => 526,
        "جوشقان و کامو" => 527,
        "برزک" => 528,
        "اسحق اباد" => 911,
        "وادقان" => 530,
        "اذان" => 531,
        "طرق رود" => 532,
        "اریسمان" => 533,
        "ابیانه" => 534,
        "اوره" => 535,
        "ملازجان" => 536,
        "مرغ" => 538,
        "قرغن" => 539,
        "کوچری" => 540,
        "کلوچان" => 541,
        "گلشهر" => 542,
        "زرنجان" => 543,
        "وانشان" => 544,
        "تیکن" => 545,
        "سنگ سفید" => 546,
        "رحمت اباد" => 547,
        "خم پیچ" => 548,
        "مهراباد" => 549,
        "تیدجان" => 550,
        "خشکرود" => 2279,
        "ویست" => 552,
        "خوراسگان" => 553,
        "دستجا" => 554,
        "پادگان اموزشی امام ص" => 555,
        "پالایشگاه اصفهان" => 556,
        "کلهرود" => 557,
        "گرگاب" => 558,
        "دستگرد" => 1437,
        "گز برخوار" => 560,
        "خورزوق" => 561,
        "حبیب آباد" => 562,
        "موته" => 563,
        "وزوان" => 564,
        "لای بید" => 565,
        "رباطاقاکمال" => 566,
        "خسرواباد" => 1697,
        "کمشچه" => 568,
        "جندق" => 569,
        "فرخی" => 570,
        "مزیک" => 571,
        "مهرجان" => 572,
        "بیاضه" => 573,
        "چوپانان" => 574,
        "بلان" => 575,
        "محمدآباد" => 1739,
        "هرند" => 577,
        "ورزنه" => 578,
        "قهجاورستان" => 579,
        "نیک آباد" => 580,
        "اژیه" => 581,
        "حسن اباد" => 1849,
        "کچومثقال" => 583,
        "ظفرقند" => 584,
        "نهوج" => 585,
        "نیسیان" => 586,
        "ومکان" => 587,
        "همسار" => 588,
        "فسخود" => 589,
        "فوداز" => 590,
        "اشکستان" => 591,
        "کجان" => 592,
        "نیستانک" => 593,
        "انارک" => 594,
        "بافران" => 595,
        "تیرانچی" => 596,
        "قلعه امیریه" => 597,
        "درقه" => 599,
        "شهراب" => 2341,
        "تورزن" => 601,
        "کریم اباد" => 786,
        "تلک اباد" => 603,
        "موغار" => 604,
        "خوانسارک" => 605,
        "پیربکران" => 606,
        "کلیشادوسودرجان" => 607,
        "نوش آباد" => 608,
        "بهارستان" => 609,
        "نصرآباد" => 958,
        "سگزی" => 611,
        "تودشک" => 612,
        "بادرود" => 613,
        "خالدآباد" => 614,
        "کوشک" => 2505,
        "نیاسر" => 616,
        "ابریشم" => 617,
        "افوس" => 618,
        "زیار" => 619,
        "گورت" => 620,
        "کرج" => 621,
        "نظرآباد" => 622,
        "هشتگرد" => 623,
        "ادران" => 624,
        "آسارا" => 625,
        "اشتهارد" => 626,
        "تنکمان" => 627,
        "گلسار" => 628,
        "کوهسار" => 629,
        "طالقان" => 630,
        "گرمدره" => 824,
        "مشکین دشت" => 632,
        "محمدشهر" => 904,
        "ماهدشت" => 634,
        "کمالشهر" => 635,
        "چهارباغ" => 636,
        "شهرجدیدهشتگرد" => 637,
        "ایلام" => 638,
        "ایوان" => 639,
        "سرآبله" => 640,
        "دره شهر" => 641,
        "آبدانان" => 642,
        "دهلران" => 643,
        "مهران" => 644,
        "چنارباشی" => 645,
        "بیشه دراز" => 646,
        "چشمه کبود" => 647,
        "چوار" => 648,
        "بانویزه" => 649,
        "چمن سیدمحمد" => 650,
        "شورابه ملک" => 651,
        "کلان" => 652,
        "توحید" => 654,
        "بلاوه تره سفلی" => 655,
        "لومار" => 656,
        "آسمان آباد" => 657,
        "سراب کارزان" => 658,
        "شهرک سرتنگ" => 659,
        "علی اباد" => 2513,
        "ماژین" => 661,
        "ارمو" => 662,
        "چشمه شیرین" => 663,
        "بدره" => 664,
        "شهرک ولیعصر" => 665,
        "گنداب" => 666,
        "سراب باغ" => 667,
        "مورموری" => 668,
        "چم هندی" => 669,
        "موسیان" => 670,
        "گولاب" => 671,
        "پهله" => 673,
        "عین خوش" => 674,
        "دشت عباس" => 675,
        "شهرک اسلامیه" => 676,
        "صالح آباد" => 2415,
        "ارکواز" => 678,
        "دول کبودخوشادول" => 679,
        "پاریاب" => 680,
        "سیاه گل" => 681,
        "اب انار" => 682,
        "ژیور" => 683,
        "شباب " => 685,
        "دلگشا" => 686,
        "مهر" => 1464,
        "بوشهر" => 688,
        "بندرگناوه" => 689,
        "خورموج" => 690,
        "اهرم" => 691,
        "برازجان" => 692,
        "برازجان ـ دشتستان" => 692,
        "نخل تقی" => 693,
        "بندر ریگ" => 694,
        "چهارروستایی" => 695,
        "شول" => 696,
        "بندر دیلم" => 697,
        "امام حسن" => 698,
        "چغادک" => 699,
        "عسلویه" => 700,
        "بادوله" => 701,
        "شنبه" => 702,
        "کاکی" => 703,
        "خارک" => 704,
        "جزیره خارک" => 704,
        "دلوار" => 705,
        "بنه گز" => 706,
        "اباد" => 707,
        "بردخون" => 708,
        "بندردیر" => 709,
        "آبدان" => 710,
        "ریز" => 711,
        "بندرکنگان" => 712,
        "جم" => 713,
        "ابگرمک" => 714,
        "دالکی" => 715,
        "شبانکاره" => 716,
        "آبپخش" => 717,
        "سعدآباد" => 718,
        "وحدتیه" => 719,
        "تنگ ارم" => 720,
        "کلمه" => 796,
        "سیراف" => 722,
        "بردستان" => 723,
        "انارستان" => 2500,
        "بنک" => 725,
        "تهران" => 726,
        "ری" => 727,
        "لواسان" => 728,
        "شهریار" => 729,
        "ورامین" => 730,
        "پیشوا" => 731,
        "قدس" => 732,
        "رباطکریم" => 733,
        "دماوند" => 734,
        "فیروزکوه" => 735,
        "جاجرود(خسروآباد)" => 736,
        "بومهن" => 737,
        "شهرصنعتی خرمدشت" => 738,
        "باقر شهر" => 739,
        "جعفرابادباقراف" => 740,
        "مرقدامام ره" => 741,
        "کهریزک" => 742,
        "طورقوزاباد" => 743,
        "قاسم ابادشوراباد" => 744,
        "حسن آباد" => 1576,
        "شمس اباد" => 747,
        "ابراهیم اباد" => 1314,
        "چرمشهر" => 749,
        "قلعه محمدعلی خان" => 750,
        "فرودگاه امام خمینی" => 751,
        "وهن اباد" => 752,
        "قلعه نوخالصه" => 753,
        "گل تپه کبیر" => 754,
        "محمودابادپیرزاده" => 755,
        "فرون اباد" => 756,
        "خاورشهر" => 757,
        "لپه زنگ" => 759,
        "قیامدشت" => 760,
        "قو,چ حصار" => 761,
        "خلازیر" => 762,
        "احمدابادمستوفی" => 763,
        "اسلام شهر" => 764,
        "فیروزبهرام" => 765,
        "گلدسته" => 766,
        "شاطره" => 768,
        "چهاردانگه" => 769,
        "سعیدآباد" => 770,
        "فشم" => 771,
        "لواسان بزرگ" => 772,
        "باغستان" => 773,
        "شاهدشهر" => 774,
        "ملارد" => 775,
        "لم اباد" => 776,
        "قلعه سین" => 777,
        "عسگرابادعباسی" => 778,
        "دهماسین" => 779,
        "باغخواص" => 780,
        "ایجدان" => 781,
        "ابباریک" => 782,
        "اب باریک" => 782,
        "آب باریک" => 782,
        "جواد آباد" => 783,
        "خاوه" => 784,
        "جلیل اباد" => 785,
        "قلعه خواجه" => 1203,
        "داوداباد" => 788,
        "پاکدشت" => 789,
        "شریف آباد" => 790,
        "پارچین" => 791,
        "حصارامیر" => 792,
        "اندیشه" => 794,
        "نصیرآباد" => 795,
        "پرند" => 797,
        "سلطان اباد" => 2276,
        "اسماعیل آباد" => 799,
        "جابان" => 800,
        "رودهن" => 801,
        "آبعلی" => 802,
        "کیلان" => 803,
        "آبسرد" => 804,
        "سربندان" => 805,
        "مشا" => 806,
        "مرا" => 807,
        "هرانده" => 808,
        "درده" => 809,
        "حصاربن" => 810,
        "ارجمند" => 811,
        "امیریه" => 1280,
        "پردیس" => 813,
        "نسیم شهر" => 814,
        "گلستان" => 815,
        "قرچک" => 816,
        "صفادشت" => 817,
        "فردوسیه" => 818,
        "وحیدیه" => 819,
        "تجریش" => 820,
        "نصیرشهر" => 821,
        "شهرک صنعتی نصیرشهر" => 822,
        "شهرک قلعه میر" => 823,
        "صباشهر" => 825,
        "شهرک عباس آباد" => 826,
        "شهر صنعتی پرند" => 827,
        "حصارک پایین" => 828,
        "حصارک بالا" => 829,
        "سبزدشت" => 830,
        "احمدآبادجانسپار" => 831,
        "مهرآباد" => 832,
        "فرخ شهر" => 833,
        "دزک" => 834,
        "هفشجان" => 835,
        "هارونی" => 836,
        "سامان" => 2337,
        "فارسان" => 838,
        "بروجن" => 839,
        "اردل" => 840,
        "لردگان" => 841,
        "شهر کرد" => 842,
        "کیان" => 843,
        "طاقانک" => 844,
        "خراجی" => 845,
        "دستناء" => 846,
        "شلمزار" => 847,
        "گهرو" => 848,
        "سورشجان" => 849,
        "مرغملک" => 850,
        "سودجان" => 851,
        "نافچ" => 852,
        "وردنجان" => 853,
        "بن" => 854,
        "پردنجان" => 855,
        "باباحیدر" => 856,
        "چلگرد" => 857,
        "شهریاری" => 858,
        "جونقان" => 859,
        "نقنه" => 860,
        "فرادنبه" => 861,
        "سفید دشت" => 862,
        "بلداجی" => 863,
        "گندمان" => 865,
        "امام قیس" => 866,
        "ناغان" => 867,
        "گل سفید" => 868,
        "چوله دان" => 869,
        "دشتک" => 870,
        "آلونی" => 871,
        "مال خلیفه" => 872,
        "چمن بید" => 873,
        "منج" => 875,
        "اسفدن" => 906,
        "آرین شهر" => 877,
        "طبس" => 878,
        "مود" => 879,
        "سربیشه" => 1913,
        "سر بیشه" => 1913,
        "نهبندان" => 881,
        "قاین" => 882,
        "فردوس" => 883,
        "بشرویه" => 884,
        "بیرجند" => 885,
        "خوسف" => 886,
        "حاجی آباد" => 2368,
        "نیمبلوک" => 888,
        "آیسک" => 889,
        "اسدیه" => 890,
        "شوسف" => 891,
        "بیهود" => 892,
        "خضری دشت بیاض" => 893,
        "زهان" => 894,
        "سرایان" => 895,
        "سه قلعه" => 896,
        "گزو" => 897,
        "قهستان" => 898,
        "اسلامیه" => 899,
        "ارسک" => 900,
        "عشق آباد" => 913,
        "دیهوک" => 902,
        "گزیک" => 903,
        "طبس مسینا" => 905,
        "فرخک" => 908,
        "خرو" => 909,
        "قدمگاه" => 2301,
        "خوجان" => 912,
        "ملک آباد" => 914,
        "کورده" => 915,
        "شاندیز" => 916,
        "طوس سفلی" => 917,
        "قرقی سفلی (شهیدکاوه )" => 918,
        "کنه بیست" => 919,
        "رادکان" => 920,
        "سیداباد" => 1290,
        "گلبهار" => 922,
        "سلوگرد" => 923,
        "ارداک" => 924,
        "بقمج" => 925,
        "گلمکان" => 926,
        "میامی" => 1275,
        "چاهک" => 928,
        "شهرزو" => 929,
        "گوش" => 930,
        "نریمانی سفلی" => 931,
        "تقی اباد" => 2078,
        "کچولی" => 933,
        "شیرتپه" => 934,
        "پس کمر" => 935,
        "مزدآوند" => 936,
        "بزنگان" => 937,
        "گنبدلی" => 938,
        "کندک لی" => 939,
        "کته شمشیرسفلی" => 940,
        "سنگ بست" => 941,
        "سفید سنگ" => 942,
        "قلندر آباد" => 943,
        "فرهادگرد" => 944,
        "زرکک" => 945,
        "شهرکهنه" => 946,
        "قریه شرف" => 947,
        "نشتیفان" => 948,
        "سنگان" => 1400,
        "مژن اباد" => 950,
        "قاسم آباد" => 951,
        "چمن اباد" => 952,
        "سلامی" => 954,
        "چشمه گل" => 955,
        "نیل شهر" => 956,
        "احمدآبادصولت" => 957,
        "ابدال اباد" => 959,
        "کاریزنو" => 960,
        "درزاب" => 961,
        "محموداباد" => 1223,
        "یاقوتین جدید" => 963,
        "جنت اباد" => 2421,
        "موسی اباد" => 2422,
        "بنی تاک" => 966,
        "ازاده" => 967,
        "کاریز" => 968,
        "دوقارون" => 969,
        "کرات" => 970,
        "مشهدریزه" => 971,
        "باخرز" => 972,
        "قلعه نو" => 1385,
        "کوه سفید" => 974,
        "رباطسرپوشی" => 976,
        "مشکان" => 1499,
        "نامن" => 978,
        "روداب" => 979,
        "مزینان" => 980,
        "دستوران" => 981,
        "ازادوار" => 982,
        "راه چمن" => 983,
        "انداده" => 984,
        "نقاب" => 985,
        "حکم اباد" => 986,
        "برغمد" => 987,
        "بلاشی اباد" => 988,
        "نوده انقلاب" => 989,
        "رباطجز" => 990,
        "شامکان" => 991,
        "تندک" => 992,
        "رویینی" => 993,
        "اوندر" => 994,
        "ریوش" => 995,
        "دهنو" => 2326,
        "فدافن" => 997,
        "خلیل آباد" => 998,
        "کندر" => 999,
        "بندقرا" => 1000,
        "کاسف" => 1001,
        "کبودان" => 1002,
        "شفیع اباد" => 1003,
        "رکن اباد" => 1004,
        "شهرآباد" => 1005,
        "انابد" => 1006,
        "درود" => 1007,
        "طرقبه" => 1008,
        "چناران" => 1009,
        "کلات" => 1010,
        "سرخس" => 1011,
        "فریمان" => 1012,
        "قوچان" => 1013,
        "درگز" => 1014,
        "فیض آباد" => 1015,
        "رشتخوار" => 1016,
        "کدکن" => 1017,
        "خواف" => 1018,
        "تربت جام" => 1019,
        "تایباد" => 1021,
        "داورزن" => 1022,
        "جغتای" => 1023,
        "ششتمد" => 1024,
        "کاشمر" => 1025,
        "بردسکن" => 1026,
        "گناباد" => 1027,
        "مشهد" => 1028,
        "نیشابور" => 1029,
        "تربت حیدریه" => 1030,
        "سبزوار" => 1031,
        "شوراب" => 1032,
        "گلبوی پایین" => 1033,
        "چکنه " => 1035,
        "برزنون" => 1036,
        "فدیشه" => 1037,
        "بار" => 1038,
        "یدک" => 1039,
        "دیزادیز" => 1040,
        "شفیع" => 1041,
        "دوغایی" => 1042,
        "جوزان" => 2442,
        "امامقلی" => 1044,
        "باجگیران" => 1045,
        "حسن ابادلایین نو" => 1046,
        "لطف آباد" => 1047,
        "کپکان" => 1048,
        "چاپشلو" => 1049,
        "نوخندان" => 1050,
        "شهرک زیندانلو" => 1051,
        "محمدتقی" => 1052,
        "سیوکی" => 1053,
        "مهنه" => 1054,
        "عبدل اباد" => 1055,
        "شادمهر" => 1056,
        "بایک" => 1057,
        "چخماق" => 1058,
        "قلعه اقاحسن" => 1059,
        "زرغری" => 1060,
        "جنگل" => 1061,
        "باسفر" => 1062,
        "یک لنگی علیا" => 1064,
        "کامه سفلی" => 1065,
        "رودخانه" => 1066,
        "رباط سنگ" => 1067,
        "اسداباد" => 1288,
        "نصر" => 1069,
        "درونه" => 1070,
        "یونسی" => 1071,
        "بیدخت" => 1072,
        "گیسوربالا" => 1073,
        "کاخک" => 1074,
        "زیبد" => 1075,
        "بجستان" => 1076,
        "جزین" => 1077,
        "فیروزه" => 1078,
        "سلطان آباد" => 1523,
        "رضویه" => 1080,
        "همت آباد" => 1081,
        "قاضی" => 1082,
        "سنخواست" => 1083,
        "پیش قلعه" => 1084,
        "راز" => 1085,
        "شیروان" => 1086,
        "دوین" => 1087,
        "زیارت" => 1088,
        "رباط" => 1848,
        "جاجرم" => 1090,
        "اسفراین" => 1091,
        "صفی آباد" => 1092,
        "رزق اباد" => 1093,
        "آشخانه" => 1094,
        "شوقان" => 1095,
        "درق" => 1096,
        "لوجلی" => 1097,
        "گرمه" => 1098,
        "بجنورد" => 1099,
        "فاروج" => 1100,
        "خرق" => 1101,
        "حصار گرمخان" => 1102,
        "تیتکانلو" => 1103,
        "ایور" => 1104,
        "اروندکنار" => 1105,
        "ملاثانی" => 1106,
        "بندرماهشهر" => 1107,
        "ماهشهر" => 1107,
        "آغاجاری" => 1108,
        "رامهرمز" => 1109,
        "ایذه" => 1110,
        "شادگان" => 1111,
        "سوسنگرد" => 1112,
        "شوشتر" => 1113,
        "دزفول" => 1114,
        "شوش" => 1115,
        "اندیمشک" => 1116,
        "مسجدسلیمان" => 1117,
        "مسجد سلیمان" => 1117,
        "اهواز" => 1118,
        "آبادان" => 1119,
        "خرمشهر" => 1120,
        "فیاضی" => 1121,
        "تنگ یک" => 1122,
        "چوئبده" => 1123,
        "نهرسلیم" => 1124,
        "نهرابطر" => 1125,
        "عین دو" => 1126,
        "حمیدیه" => 1127,
        "ام الطمیر (سیدیوسف )" => 1128,
        "کوت عبدالله" => 1129,
        "قلعه چنعان" => 1130,
        "کریت برومی" => 1131,
        "غیزانیه بزرگ" => 1132,
        "چم کلگه" => 1133,
        "چمران" => 2335,
        "بندرامام خمینی" => 1135,
        "صالح شهر" => 1136,
        "اسیاب" => 1137,
        "هندیجان" => 1138,
        "بهبهان" => 1139,
        "گروه پدافندهوایی بهبها" => 1140,
        "شاه غالب ده ابراهیم" => 1141,
        "کردستان بزرگ" => 1142,
        "منصوریه" => 1143,
        "امیدیه" => 1145,
        "میانکوه" => 1146,
        "رودزرد" => 1147,
        "نفت سفید" => 1148,
        "مشراگه" => 1149,
        "رامشیر" => 1150,
        "جایزان" => 1151,
        "دره تونم نمی" => 1152,
        "میداود" => 1153,
        "صیدون" => 1154,
        "قلعه تل" => 1156,
        "چنارستان" => 1157,
        "پشت پیان" => 1158,
        "دهدز" => 1159,
        "عبودی" => 1160,
        "دارخوین" => 1161,
        "درویشی" => 1162,
        "بوزی سیف" => 1163,
        "مینوشهر" => 1164,
        "حفاری شرقی" => 1165,
        "بروایه یوسف" => 1166,
        "ابوحمیظه" => 1167,
        "هویزه" => 1168,
        "یزدنو" => 1169,
        "رفیع" => 1170,
        "بستان" => 1171,
        "سیدعباس" => 1172,
        "گوریه" => 1173,
        "جنت مکان" => 1174,
        "گتوند" => 1175,
        "سماله" => 1176,
        "شهرک نورمحمدی" => 1177,
        "گاومیش اباد" => 1178,
        "عرب حسن" => 1179,
        "صفی آباد " => 1180,
        "حمزه" => 1181,
        "امام" => 1182,
        "میانرود" => 1183,
        "چلون" => 1184,
        "شاوور" => 1185,
        "مزرعه یک" => 1186,
        "خسرجی راضی حمد" => 1187,
        "الوان" => 1188,
        "علمه تیمورابوذرغفاری" => 1189,
        "شهرک بهرام" => 1190,
        "فتح المبین" => 1191,
        "شهرک انصار" => 1192,
        "خواجوی" => 1193,
        "حسینیه" => 1194,
        "کلگه دره دو" => 1195,
        "تله زنگ پایین" => 1196,
        "چم گلک" => 1197,
        "روستای عنبر" => 1198,
        "لالی" => 1199,
        "دره بوری" => 1200,
        "هفتگل" => 1201,
        "کوشکک" => 1573,
        "گلگیر" => 1204,
        "شیبان" => 1205,
        "ویس" => 1206,
        "زهره" => 1207,
        "شرافت" => 1208,
        "سالند" => 1209,
        "الهائی" => 1210,
        "تشان" => 1211,
        "خنافره" => 1212,
        "کوت سیدنعیم" => 1213,
        "سرداران" => 1214,
        "ترکالکی" => 1215,
        "چغامیش" => 1216,
        "شمس آباد" => 1217,
        "سیاه منصور" => 1218,
        "حر" => 1219,
        "آزادی" => 1220,
        "بیدروبه" => 1221,
        "آبژدان" => 1222,
        "باش قشلاق" => 1224,
        "گرماب" => 1225,
        "زرین آباد" => 1226,
        "کهلا" => 1227,
        "گیلوان" => 1228,
        "دستجرده" => 1229,
        "چورزق" => 1231,
        "حلب" => 1232,
        "درام" => 1233,
        "آب بر" => 1234,
        "زرین رود" => 1235,
        "زنجان" => 1236,
        "ماهنشان" => 1237,
        "سلطانیه" => 1238,
        "ابهر" => 1239,
        "خرمدره" => 1240,
        "قیدار" => 1241,
        "همایون" => 1242,
        "بوغداکندی" => 1243,
        "اژدهاتو" => 1244,
        "اسفجین" => 1245,
        "ارمغانخانه" => 1246,
        "قبله بلاغی" => 1247,
        "پری" => 1248,
        "اندابادعلیا" => 1249,
        "قره گل" => 1250,
        "نیک پی" => 1251,
        "دندی" => 1252,
        "سونتو" => 1253,
        "قلتوق" => 1254,
        "گوزلدره" => 1255,
        "سنبل اباد" => 1256,
        "درسجین" => 1257,
        "کینه ورس" => 1259,
        "هیدج" => 1260,
        "صائین قلعه" => 1261,
        "اقبلاغ سفلی" => 1262,
        "سهرورد" => 1263,
        "کرسف" => 1264,
        "سجاس" => 1265,
        "سمنان" => 1266,
        "شاهرود" => 1267,
        "علا" => 1268,
        "ابخوری" => 1269,
        "سرخه" => 1270,
        "مهدیشهر" => 1271,
        "شهمیرزاد" => 1272,
        "گرمسار" => 1273,
        "ایوانکی" => 1274,
        "مجن" => 1277,
        "بیارجمند" => 1278,
        "دامغان" => 1279,
        "ایستگاه میان دره" => 1282,
        "اهوان" => 1283,
        "جام" => 1284,
        "دوزهیر" => 1285,
        "معدن نمک" => 1286,
        "نظامی" => 1287,
        "لاسجرد" => 1289,
        "عبدالله ابادپایین" => 1291,
        "بیابانک" => 1292,
        "مومن اباد" => 1812,
        "درجزین" => 1294,
        "دربند" => 1295,
        "گل رودبار" => 1296,
        "افتر" => 1298,
        "فولادمحله" => 1299,
        "ده صوفیان" => 1300,
        "هیکو" => 1301,
        "چاشم" => 1302,
        "کردوان" => 1303,
        "مندولک" => 1304,
        "داوراباد" => 1305,
        "آرادان" => 1306,
        "بن کوه" => 1307,
        "کهن آباد" => 1308,
        "حسین ابادکوروس" => 1309,
        "کرک" => 1310,
        "گلستانک" => 1311,
        "لجران" => 1312,
        "جودانه" => 1313,
        "بکران" => 1315,
        "کرداباد" => 1316,
        "نردین" => 1317,
        "سوداغلان" => 1318,
        "فرومد" => 1319,
        "ابرسیج" => 1320,
        "میغان" => 1321,
        "قلعه نوخرقان" => 1322,
        "چهلدخترپادگان" => 1323,
        "کلاته خیج" => 1324,
        "نگارمن" => 1325,
        "دهملا" => 1326,
        "رویان" => 2138,
        "بدشت" => 1328,
        "سطوه" => 1329,
        "طرود" => 1330,
        "مغان" => 1331,
        "گیور" => 1332,
        "مسیح اباد" => 1334,
        "احمداباد" => 1335,
        "زمان اباد" => 1336,
        "سلمرود" => 1337,
        "جزن" => 1338,
        "برم" => 1339,
        "محمداباد" => 1340,
        "معصوم اباد" => 1341,
        "فرات" => 1342,
        "علیان" => 1343,
        "عمروان" => 1344,
        "قوشه" => 1345,
        "دروار" => 1346,
        "استانه" => 1347,
        "دیباج" => 1348,
        "طرزه" => 1349,
        "مهماندوست" => 1350,
        "کلاته ملا" => 1351,
        "قدرت اباد" => 1352,
        "نصرت آباد" => 1659,
        "میرجاوه" => 1354,
        "زابل" => 1355,
        "زهک" => 1356,
        "خواجه احمد" => 1357,
        "خاش" => 1358,
        "سرباز" => 1359,
        "بمپور" => 1360,
        "سراوان" => 1972,
        "زاهدان" => 1362,
        "ایرانشهر" => 1363,
        "سوران" => 1364,
        "چابهار" => 1365,
        "کنارک" => 1366,
        "نیکشهر" => 1367,
        "حرمک" => 1368,
        "گلوگاه" => 2192,
        "انده قدیم" => 1370,
        "لادیزعلیا" => 1371,
        "سیادک" => 1372,
        "خمک" => 1373,
        "تخت عدالت" => 1374,
        "برجمیرگل" => 1375,
        "جهان ابادعلیا" => 1376,
        "ادیمی" => 1377,
        "تیموراباد" => 1378,
        "لوتک" => 1380,
        "سکوهه" => 1381,
        "محمد آباد" => 1382,
        "بنجار" => 1383,
        "جزینک" => 1384,
        "شهرک محمدشاه کرم" => 1386,
        "ژاله ای" => 1387,
        "کرباسک" => 1388,
        "نوراباد" => 1389,
        "کارواندر" => 1390,
        "ناصراباد" => 1627,
        "بالاقلعه" => 1392,
        "گمن" => 1393,
        "زیرکدان" => 1394,
        "بیت اباد" => 1395,
        "گوهرکوه" => 1396,
        "ده پابید" => 1397,
        "نازیل" => 1398,
        "کوشه" => 1399,
        "افضل اباد" => 1401,
        "چانف" => 1402,
        "اسماعیل کلگ" => 1403,
        "پارود" => 1404,
        "پیشین" => 1405,
        "ایرافشان" => 1406,
        "سرداب" => 1407,
        "اسپکه" => 1408,
        "پیپ" => 1409,
        "بنت" => 1410,
        "فنوج" => 1411,
        "گلمورتی" => 1412,
        "گلمورتی ـ دلگان" => 1412,
        "هودیان" => 1413,
        "بزمان" => 1414,
        "کوشکوک" => 1415,
        "محمدی" => 1416,
        "سردک" => 1417,
        "جالق" => 1418,
        "سیرکان" => 1419,
        "اسفندک" => 1420,
        "کوهک" => 1421,
        "گشت" => 1985,
        "پسکوه" => 1423,
        "مهرستان" => 1424,
        "هیدوچ" => 1425,
        "طیس" => 1426,
        "تلنگ" => 1427,
        "پلان" => 1428,
        "نگور" => 1429,
        "باهوکلات" => 1430,
        "پسابندر" => 1431,
        "پیرسهراب" => 1432,
        "شهدادکهیر" => 1433,
        "زراباد" => 1434,
        "مسکوتان" => 1435,
        "کتیج" => 1436,
        "محنت" => 1438,
        "چاهان" => 1439,
        "هیچان" => 1440,
        "قصرقند" => 1441,
        "شگیم بالا" => 1442,
        "کشیک" => 1443,
        "ساربوک" => 1444,
        "هیرمند" => 1445,
        "علی اکبر" => 1446,
        "نوک اباد" => 1447,
        "محمدان" => 1448,
        "قائمیه" => 1449,
        "زرقان" => 1450,
        "نور آباد" => 1451,
        "سورمق" => 1452,
        "ایزدخواست" => 1453,
        "باب انار" => 1454,
        "بندبست" => 1455,
        "اوز" => 2131,
        "لامرد" => 1457,
        "جویم" => 1458,
        "بنارویه" => 1459,
        "لطیفی" => 1460,
        "بیرم" => 1461,
        "کهنه" => 1462,
        "خنج" => 1463,
        "رونیز " => 1465,
        "بنوان" => 1466,
        "ایج" => 1467,
        "درب قلعه" => 1468,
        "قطب آباد" => 1469,
        "دنیان" => 1470,
        "سروو" => 1471,
        "مانیان" => 1472,
        "به جان" => 1473,
        "کوشک قاضی" => 1474,
        "نوبندگان" => 1475,
        "ششده" => 1476,
        "قاسم ابادسفلی" => 1477,
        "زاهدشهر" => 1478,
        "میانده" => 2450,
        "صحرارود" => 1480,
        "بایگان" => 1481,
        "مبارک آباد" => 1482,
        "میمند" => 1917,
        "افزر" => 1484,
        "کارزین" => 1485,
        "فراشبند" => 1486,
        "دهرم" => 1487,
        "جوکان" => 1488,
        "مادوان" => 1920,
        "ماه سالاری" => 1490,
        "رستاق" => 1491,
        "فدامی" => 1493,
        "چمن مروارید" => 1494,
        "جنت شهر" => 1495,
        "لای حنا" => 1496,
        "آباده طشک" => 1497,
        "قطاربنه" => 1498,
        "قطرویه" => 1500,
        "هرگان" => 1501,
        "کازرون" => 1503,
        "جهرم" => 1504,
        "اردکان" => 2480,
        "مرودشت" => 1506,
        "اقلید" => 1507,
        "آباده" => 1508,
        "لار" => 1509,
        "گراش" => 1510,
        "استهبان" => 1511,
        "فسا" => 1512,
        "فیروز آباد" => 2116,
        "فیروزآباد" => 2116,
        "نی ریز" => 1515,
        "بندامیر" => 1516,
        "خیرابادتوللی" => 1517,
        "داریان" => 1518,
        "کم جان" => 1519,
        "شوریجه" => 1520,
        "مهارلو" => 1521,
        "کوهنجان" => 1522,
        "تفیهان" => 1524,
        "طسوج" => 1525,
        "اکبراباد" => 1526,
        "مظفری" => 1527,
        "کوشک بیدک" => 1528,
        "ده شیب" => 1530,
        "پاسگاه چنارراهدار" => 1531,
        "موردراز" => 1532,
        "کلاتون" => 1533,
        "کلانی" => 1534,
        "کمارج مرکزی" => 1535,
        "مهبودی علیا" => 1536,
        "وراوی" => 1537,
        "حکیم باشی نصف میان (بالا)" => 1538,
        "کنار تخته" => 1539,
        "خشت" => 1540,
        "نودان" => 1542,
        "مهرنجان" => 1543,
        "جره" => 1544,
        "بالاده" => 1545,
        "لپوئی" => 1546,
        "کامفیروز" => 1547,
        "خرامه" => 1548,
        "سروستان" => 1549,
        "کوار" => 1550,
        "رامجرد" => 1551,
        "گویم" => 1552,
        "خومه زار" => 1553,
        "بابامنیر" => 1554,
        "اهنگری" => 1555,
        "پرین" => 1556,
        "حسین ابادرستم" => 1557,
        "مصیری" => 1558,
        "میشان سفلی" => 1559,
        "بهرغان" => 1560,
        " بیضا" => 1561,
        "هماشهر" => 1837,
        "کمهر" => 1563,
        "راشک علیا" => 1564,
        "هرایجان" => 1565,
        "بانش" => 1566,
        "خانیمن" => 1568,
        "سعادت شهر" => 1569,
        "قادرآباد" => 1570,
        "ارسنجان" => 1571,
        "سیدان" => 1572,
        "خنجشت" => 1574,
        "امامزاده اسماعیل" => 1575,
        "اسپاس" => 1577,
        "سده" => 1578,
        "دژکرد" => 1579,
        "شهرمیان" => 1580,
        "صغاد" => 1581,
        "بوانات" => 1582,
        "صفاشهر" => 1583,
        "علامرودشت" => 1584,
        "فیشور" => 1585,
        "بهمن" => 1586,
        "شهرجدیدصدرا" => 1587,
        "خانه زنیان" => 1588,
        "کوپن" => 1589,
        "مزایجان" => 1590,
        "مادرسلیمان" => 1591,
        "حسامی" => 1592,
        "کره ای" => 1593,
        "دوزه" => 1594,
        "عمادده" => 1596,
        "اهل" => 1597,
        "اسیر" => 1598,
        "خوزی" => 1599,
        "گله دار" => 1600,
        "امام شهر" => 1602,
        "قیر" => 1603,
        "نوجین" => 1604,
        "دبیران" => 1605,
        "شهرپیر" => 1606,
        "دوبرجی" => 1607,
        "اشکنان" => 1608,
        "خاوران" => 1609,
        "قزوین" => 1610,
        "اقبالیه" => 1611,
        "الوند" => 1612,
        "آبیک" => 1613,
        "بوئین زهرا" => 1614,
        "آوج" => 1615,
        "تاکستان" => 1616,
        "محمدیه" => 1617,
        "محمودآبادنمونه" => 1618,
        "بیدستان" => 1619,
        "الولک" => 1620,
        "کاکوهستان" => 1621,
        "فلار" => 1622,
        "معلم کلایه" => 1623,
        "مینودشت" => 1624,
        "زوارک" => 1625,
        "صمغ اباد" => 1626,
        "رشتقون" => 1628,
        "قشلاق" => 1629,
        "خاکعلی" => 1630,
        "شهرک صنعتی لیا (قدیم )" => 1631,
        "سگز آباد" => 1632,
        "عصمت اباد" => 1633,
        "خرم اباد" => 1634,
        "اسفرورین" => 1635,
        "شال" => 1636,
        "دانسفهان" => 1637,
        "کلنجین" => 1638,
        "استبلخ" => 1639,
        "آبگرم" => 1640,
        "نیارج" => 1641,
        "حصارولیعصر" => 1642,
        "ماهین" => 1643,
        "سیردان" => 1644,
        "سیاهپوش" => 1645,
        "نیارک" => 1646,
        "اقابابا" => 1647,
        "خرمدشت" => 1648,
        "ضیاءآباد" => 1649,
        "ضیاآباد" => 1649,
        "ضیا آباد" => 1649,
        "رحیم اباد" => 1651,
        "یحیی اباد" => 2281,
        "نیکویه" => 1653,
        "رازمیان" => 1654,
        "کوهین" => 2428,
        "ارداق" => 1656,
        "نرجه" => 1657,
        "شریفیه" => 1658,
        "مهرگان" => 1660,
        "قم" => 1661,
        "قنوات" => 1662,
        "امیرابادگنجی" => 1664,
        "قمرود" => 1665,
        "کهک" => 2343,
        "قلعه چم" => 1667,
        "قاهان" => 1668,
        "جعفریه" => 1669,
        "جنداب" => 1670,
        "سلفچگان" => 1671,
        "کامیاران" => 1672,
        "دیواندره" => 1673,
        "بیجار" => 1674,
        "قروه" => 1675,
        "مریوان" => 1676,
        "سقز" => 1677,
        "بانه" => 1678,
        "شاهینی" => 1679,
        "طای" => 1680,
        "گازرخانی" => 1681,
        "نشورسفلی" => 1682,
        "شیروانه" => 1683,
        "خامسان" => 1684,
        "موچش" => 1685,
        "شریف اباد" => 1686,
        "کوله" => 1687,
        "هزارکانیان" => 1688,
        "زرینه" => 1689,
        "گورباباعلی" => 1690,
        "گاوشله" => 1691,
        "خرکه" => 1692,
        "یاسوکند" => 1693,
        "توپ اغاج" => 1694,
        "اق بلاغ طغامین" => 1695,
        "بابارشانی" => 1696,
        "جعفراباد" => 1865,
        "دلبران" => 1699,
        "دزج" => 1700,
        "کانی گنجی" => 1701,
        "بلبان آباد" => 1702,
        "دهگلان" => 1703,
        "قوریچای" => 1704,
        "سریش آباد" => 1705,
        "نی" => 1706,
        "برده رشه" => 1707,
        "چناره" => 1708,
        "پیرخضران" => 1709,
        "بیساران" => 1710,
        "سروآباد" => 1711,
        "اورامان تخت" => 1712,
        "سرا" => 1713,
        "تیلکو" => 1715,
        "صاحب" => 1716,
        "کسنزان" => 1718,
        "میرده" => 1719,
        "ننور" => 1720,
        "بوئین سفلی" => 1721,
        "آرمرده" => 1722,
        "بوالحسن" => 1723,
        "کانی سور" => 1724,
        "کوخان" => 1725,
        "شوی" => 1726,
        "سنندج" => 1727,
        "شویشه" => 1728,
        "کانی دینار" => 1729,
        "کرمان" => 1730,
        "رفسنجان" => 1731,
        "سیرجان" => 1732,
        "ماهان" => 1733,
        "گلباف" => 1734,
        "راور" => 1735,
        "بم" => 1736,
        "بروات" => 1737,
        "راین" => 1738,
        "سرچشمه" => 1740,
        "انار" => 1741,
        "شهربابک" => 1742,
        "زرند" => 1743,
        "کیانشهر" => 1744,
        "کوهبنان" => 1745,
        "چترود" => 1746,
        "پاریز" => 1747,
        "بردسیر" => 1748,
        "بافت" => 1749,
        "جیرفت" => 1750,
        "عنبرآباد" => 1751,
        "کهنوج" => 1752,
        "منوجان" => 1753,
        "ده بالا" => 1754,
        "جوپار" => 1755,
        "باغین" => 1756,
        "اختیارآباد" => 1757,
        "زنگی آباد" => 1758,
        "جوشان" => 1759,
        "اندوهجرد" => 1760,
        "شهداد" => 1761,
        "کشیت" => 1762,
        "فیض اباد" => 1763,
        "دریجان" => 1764,
        "نرماشیر" => 1765,
        "فهرج" => 2516,
        "برج معاز" => 1767,
        "نظام شهر" => 1768,
        "خانه خاتون" => 1769,
        "ابارق" => 1770,
        "گروه" => 1771,
        "گزک" => 1772,
        "تهرود" => 1773,
        "میرابادارجمند" => 1774,
        "داوران" => 1775,
        "خنامان" => 1776,
        "کبوترخان" => 1777,
        "هرمزاباد" => 1778,
        "کشکوئیه" => 1779,
        "صفائیه" => 1781,
        "بهرمان" => 1782,
        "جوادیه الهیه نوق" => 1783,
        "محمدابادبرفه" => 1784,
        "خورسند" => 1785,
        "خبر" => 1786,
        "کمسرخ" => 1787,
        "جوزم" => 1788,
        "دهج" => 1789,
        "دشت خاک" => 1790,
        "حتکن" => 1791,
        "ریحان" => 1792,
        "جرجافک" => 1793,
        "یزدان شهر" => 1794,
        "شعبجره" => 1795,
        "سیریز" => 1796,
        "خانوک" => 1797,
        "جور" => 1798,
        "هوتک" => 1799,
        "کاظم آباد" => 1800,
        "هجدک" => 1801,
        "حرجند" => 1802,
        "نجف شهر" => 1803,
        "بلورد" => 1804,
        "ملک اباد" => 1805,
        "عماداباد" => 1806,
        "زیدآباد" => 1807,
        "نگار" => 1808,
        "گلزار" => 1809,
        "لاله زار" => 1810,
        "قلعه عسکر" => 1811,
        "چناربرین" => 1813,
        "کمال اباد" => 1814,
        "امیراباد" => 1815,
        "بزنجان" => 1816,
        "رابر" => 1817,
        "پتکان" => 1818,
        "ارزوئیه" => 1819,
        "جبالبارز" => 1820,
        "درب بهشت" => 1821,
        "رضی ابادبالا" => 1822,
        "میجان علیا" => 1823,
        "قلعه گنج" => 1824,
        "مردهک" => 1825,
        "دوساری" => 1826,
        "حسین ابادجدید" => 1827,
        "بلوک" => 1828,
        "رودبار" => 1964,
        "نودژ" => 1830,
        "فاریاب" => 1831,
        "سرخ قلعه" => 1832,
        "محی آباد" => 1834,
        "خاتون آباد" => 1835,
        "امین شهر" => 1836,
        "کیوه نان" => 1838,
        "کرکسار" => 1839,
        "کندوله" => 1840,
        "زاوله علیا" => 1841,
        "حمیل" => 1842,
        "ریجاب" => 1843,
        "کرندغرب" => 1844,
        "گهواره" => 1845,
        "کوزران" => 1846,
        "قلعه شیان" => 1847,
        "سراب ذهاب" => 1850,
        "ترک ویس" => 1851,
        "ازگله" => 1852,
        "هرسین" => 1853,
        "سنقر" => 1855,
        "اسلام آبادغرب" => 1856,
        "سرپل ذهاب" => 1857,
        "قصرشیرین" => 1858,
        "پاوه" => 1859,
        "هفت اشیان" => 1860,
        "هلشی" => 1861,
        "دوردشت" => 1862,
        "سنقراباد" => 1863,
        "بیستون" => 1864,
        "مرزبانی" => 1866,
        "فش" => 1867,
        "فرامان" => 1868,
        "صحنه" => 1870,
        "قزوینه" => 1871,
        "دهلقین" => 1872,
        "درکه" => 1873,
        "باوله" => 1874,
        "گردکانه علیا" => 1875,
        "اگاه علیا" => 1876,
        "سطر" => 1877,
        "کرمانشاه" => 1878,
        "تازه آباد" => 1879,
        "نساردیره" => 1880,
        "سرمست" => 1881,
        "تپه رش" => 1882,
        "خسروی" => 1883,
        "سومار" => 1884,
        "گیلانغرب" => 1885,
        "قیلان" => 1886,
        "باینگان" => 1887,
        "نوسود" => 1888,
        "نودشه" => 1889,
        "روانسر" => 1890,
        "جوانرود" => 1892,
        "میان راهان" => 1894,
        "شاهو" => 1895,
        "بانوره" => 1896,
        "دهدشت" => 1897,
        "دوگنبدان" => 1898,
        "یاسوج" => 1899,
        "سوق" => 1900,
        "لنده" => 1901,
        "لیکک" => 1902,
        "چرام" => 1903,
        "دیشموک" => 1904,
        "قلعه رییسی" => 1905,
        "قلعه دختر" => 1906,
        "باباکلان" => 1907,
        "مظفراباد" => 1908,
        "دیل" => 1909,
        "شاه بهرام" => 1910,
        "چاه تلخاب علیا" => 1911,
        "باشت" => 1912,
        "چیتاب" => 1914,
        "گراب سفلی" => 1915,
        "مارگون" => 1916,
        "پاتاوه" => 1918,
        "سی سخت" => 1919,
        "گرگان" => 1921,
        "بندر گز" => 1922,
        "کردکوی" => 1923,
        "بندرترکمن" => 1924,
        "آق قلا" => 1925,
        "علی آباد" => 1926,
        "آزاد شهر" => 1927,
        "گنبد کاووس" => 1928,
        "مینو دشت" => 1929,
        "کلاله" => 1930,
        "نوکنده" => 1931,
        "اینچه برون" => 1932,
        "مراوه تپه" => 1933,
        "رامیان" => 1934,
        "نگین شهر" => 1935,
        "سیمین شهر" => 1936,
        "گمیش تپه" => 1937,
        "سرخنکلاته" => 1938,
        "انبار آلوم" => 1940,
        "فاضل آباد" => 1941,
        "حاجیکلاته" => 1942,
        "خان ببین" => 1943,
        "دلند" => 1944,
        "نوده خاندوز" => 1945,
        "کرند" => 1946,
        "گالیکش" => 1947,
        "جلین" => 1948,
        "تاتارعلیا" => 1950,
        "رشت" => 1951,
        "بندرانزلی" => 1952,
        "ابکنار" => 1954,
        "خمام" => 1955,
        "فومن" => 1956,
        "صومعه سرا" => 1957,
        "هشتپر" => 1958,
        "هشتپر ـ طوالش" => 1958,
        "ماسال" => 1959,
        "آستارا" => 1960,
        "سیاهکل" => 1961,
        "آستانه اشرفیه" => 1962,
        "منجیل" => 1963,
        "لنگرود" => 1965,
        "رودسر" => 1966,
        "کلاچای" => 1967,
        "کپورچال" => 1968,
        "جیرهنده" => 1969,
        "لیچارکی حسن رود" => 1970,
        "سنگر" => 1971,
        "خشکبیجار" => 1973,
        "لشت نشاء" => 1974,
        "خواچکین" => 1975,
        "کوچصفهان" => 1976,
        "بلسبنه" => 1977,
        "چاپارخانه" => 1978,
        "جیرکویه" => 1979,
        "لولمان" => 1980,
        "شفت" => 1981,
        "ملاسرا" => 1982,
        "چوبر" => 2060,
        "ماسوله" => 1984,
        "احمد سر گوراب" => 1986,
        "مرجقل" => 1987,
        "گوراب زرمیخ" => 1988,
        "طاهرگوراب" => 1989,
        "ضیابر" => 1990,
        "مرکیه" => 1991,
        "هنده خاله" => 1992,
        "نوخاله اکبری" => 1993,
        "شیله وشت" => 1994,
        "جوکندان بزرگ" => 1995,
        "لیسار" => 1996,
        "بازارخطبه سرا" => 1997,
        "حویق" => 1998,
        "پلاسی" => 1999,
        "پره سر" => 2001,
        "پلنگ پاره" => 2002,
        "بازار جمعه" => 2003,
        "اسالم" => 2004,
        "شیخ محله" => 2005,
        "ویرمونی" => 2006,
        "سیبلی" => 2007,
        "لوندویل" => 2008,
        "مشند" => 2009,
        "کوته کومه" => 2010,
        "حیران" => 2011,
        "پایین محله پاشاکی" => 2012,
        "گرماور" => 2013,
        "لیش" => 2014,
        "بارکوسرا" => 2015,
        "شیرین نسا" => 2016,
        "خرارود" => 2017,
        "دیلمان" => 2018,
        "لسکوکلایه" => 2019,
        "کیسم" => 2020,
        "شیرکوه چهارده" => 2021,
        "دهشال" => 2022,
        "کیاشهر" => 2023,
        "دستک" => 2024,
        "پرگاپشت مهدی خانی" => 2025,
        "لوشان" => 2026,
        "بیورزین" => 2027,
        "جیرنده" => 2028,
        "بره سر" => 2029,
        "ویشان" => 2030,
        "کلیشم" => 2031,
        "رستم آباد" => 2033,
        "توتکابن" => 2034,
        "کلشتر" => 2035,
        "اسکولک" => 2036,
        "کوکنه" => 2037,
        "سلوش" => 2038,
        "چاف وچمخاله" => 2039,
        "شلمان" => 2040,
        "کومله" => 2041,
        "دیوشل" => 2042,
        "پروش پایین" => 2043,
        "اطاقور" => 2044,
        "حسن سرا" => 2045,
        "طول لات" => 2046,
        "رانکوه" => 2047,
        "چابکسر" => 2048,
        "جنگ سرا" => 2049,
        "واجارگاه" => 2050,
        "رحیم آباد" => 2051,
        "بلترک" => 2052,
        "املش" => 2053,
        "کجید" => 2054,
        "گرمابدشت" => 2055,
        "شوییل" => 2056,
        "پونل" => 2057,
        "رودبنه" => 2058,
        "ماکلوان" => 2059,
        "نورآباد" => 2061,
        "کوهدشت" => 2062,
        "پلدختر" => 2063,
        "الیگودرز" => 2064,
        "ازنا" => 2065,
        "دورود" => 2066,
        "الشتر" => 2067,
        "خرم آباد" => 2158,
        "بروجرد" => 2069,
        "ماسور" => 2070,
        "بیرانوند" => 2071,
        "برخوردار" => 2072,
        "فرهاداباد" => 2073,
        "دم باغ" => 2074,
        "کهریزوروشت" => 2075,
        "چشمه کیزاب علیا" => 2076,
        "خوشناموند" => 2079,
        "اشتره گل گل" => 2080,
        "چقابل" => 2081,
        "سوری" => 2082,
        "کونانی" => 2083,
        "گراب" => 2084,
        "درب گنبد" => 2085,
        "پاعلم (پل تنگ )" => 2086,
        "واشیان نصیرتپه" => 2087,
        "چمشک زیرتنگ" => 2088,
        "افرینه" => 2089,
        "معمولان" => 2090,
        "میان تاگان" => 2091,
        "پل شوراب پایین" => 2092,
        "شاهپوراباد" => 2093,
        "چمن سلطان" => 2094,
        "کیزاندره" => 2095,
        "قلعه بزنوید" => 2096,
        "شول آباد" => 2097,
        "حیه" => 2098,
        "مرگ سر" => 2099,
        "مومن آباد" => 2100,
        "رازان" => 2101,
        "سیاه گوشی (پل هرو)" => 2102,
        "زاغه" => 2103,
        "سرابدوره" => 2104,
        "چاه ذوالفقار" => 2105,
        "چم پلک" => 2106,
        "ژان" => 2107,
        "کاغه" => 2108,
        "چالانچولان" => 2109,
        "سپید دشت" => 2110,
        "چم سنگر" => 2111,
        "ایستگاه تنگ هفت" => 2112,
        "مکینه حکومتی" => 2113,
        "سراب سیاهپوش" => 2114,
        "ده رحم" => 2115,
        "اشترینان" => 2117,
        "بندیزه" => 2118,
        "دره گرگ" => 2119,
        "ویسیان" => 2120,
        "معلم کلا" => 2121,
        "سرخرود" => 2122,
        "وسطی کلا" => 2123,
        "رینه" => 2124,
        "سوا" => 2125,
        "باییجان" => 2126,
        "گزنک" => 2127,
        "چمستان" => 2128,
        "بنفشه ده" => 2129,
        "رییس کلا" => 2130,
        "بلده" => 2132,
        "تاکر" => 2133,
        "گلندرود" => 2134,
        "چلندر" => 2135,
        "صلاح الدین کلا" => 2136,
        "نارنج بن" => 2137,
        "کجور" => 2139,
        "پول" => 2140,
        "لشکنار" => 2141,
        "هیچرود" => 2142,
        "مرزن آباد" => 2143,
        "کردیچال" => 2144,
        "کلاردشت" => 2145,
        "کلنو" => 2146,
        "دلیر" => 2147,
        "سیاه بیشه" => 2148,
        "کلارآباد" => 2149,
        "عباس آباد" => 2150,
        "سرلنگا" => 2151,
        "کترا" => 2152,
        "گلعلی اباد" => 2153,
        "میان کوه سادات" => 2154,
        "مران سه هزار" => 2155,
        "نشتارود" => 2156,
        "قلعه گردن" => 2157,
        "شیرود" => 2159,
        "سلیمان اباد" => 2160,
        "کشکو" => 2161,
        "لاک تراشان" => 2162,
        "سادات محله" => 2163,
        "کتالم وسادات شهر" => 2164,
        "اغوزکتی" => 2165,
        "جواهرده" => 2166,
        "جنت رودبار" => 2167,
        "تمل" => 2168,
        "خوشرودپی" => 2169,
        "اهنگرکلا" => 2170,
        "گاوانکلا" => 2171,
        "آمل" => 2172,
        "بابل" => 2173,
        "ساری" => 2174,
        "نور" => 2176,
        "نوشهر" => 2177,
        "چالوس" => 2178,
        "سلمانشهر" => 2179,
        "تنکابن" => 2180,
        "رامسر" => 2181,
        "امیرکلا" => 2182,
        "بابلسر" => 2183,
        "فریدونکنار" => 2184,
        "قائم شهر" => 2185,
        "جویبار" => 2186,
        "زیر آب" => 2187,
        "پل سفید" => 2188,
        "کیاسر" => 2189,
        "نکاء" => 2190,
        "بهشهر" => 2191,
        "شورکش" => 2193,
        "اینج دان" => 2194,
        "عرب خیل" => 2195,
        "بهنمیر" => 2196,
        "کاسگرمحله" => 2197,
        "کله بست" => 2198,
        "بیشه سر" => 2199,
        "گتاب" => 2200,
        "دابودشت" => 2201,
        "درازکش" => 2202,
        "گردرودبار" => 2203,
        "شهیداباد" => 2204,
        "بالاجنیدلاک پل" => 2205,
        "خطیرکلا" => 2206,
        "حاجی کلاصنم" => 2207,
        "واسکس" => 2208,
        "ریکنده" => 2209,
        "ارطه" => 2210,
        "کیاکلا" => 2211,
        "بالادسته رکن کنار" => 2212,
        "بیزکی" => 2213,
        "کوهی خیل" => 2214,
        "سنگتاب" => 2215,
        "رکابدارکلا" => 2216,
        "شیرکلا" => 2217,
        "آلاشت" => 2218,
        "لفور (لفورک )" => 2219,
        "اتو" => 2220,
        "شیرگاه" => 2221,
        "پالند" => 2222,
        "چرات" => 2223,
        "ده میان" => 2224,
        "خشک دره" => 2225,
        "امافت" => 2226,
        "بالادواب" => 2227,
        "ورسک" => 2228,
        "کتی لته" => 2229,
        "اروست" => 2230,
        "فریم" => 2231,
        "سنگده" => 2232,
        "قادیکلا" => 2233,
        "تاکام" => 2234,
        "بالاهولار" => 2235,
        "اسبوکلا" => 2236,
        "سورک" => 2237,
        "شهرک صنعتی گهرباران" => 2239,
        "فرح اباد (خزراباد)" => 2240,
        "دارابکلا" => 2241,
        "ماچک پشت" => 2242,
        "خورشید (امامیه )" => 2243,
        "زاغمرز" => 2244,
        "چلمردی" => 2245,
        "رستم کلا" => 2246,
        "پایین زرندین" => 2247,
        "بادابسر" => 2248,
        "تیرتاش" => 2249,
        "خلیل شهر" => 2250,
        "دامداری حسن ابوطالبی" => 2251,
        "بیشه بنه" => 2252,
        "سفیدچاه" => 2253,
        "دامداری حاج عزیزمجریان" => 2254,
        "میان دره" => 2255,
        "بندپی" => 2256,
        "زرگرمحله" => 2257,
        "مرزی کلا" => 2258,
        "ایزدشهر" => 2259,
        "پایین هولار" => 2260,
        "اراک" => 2261,
        "ساوه" => 2262,
        "محلات" => 2263,
        "دلیجان" => 2264,
        "خنداب" => 2265,
        "کمیجان" => 2266,
        "شازند" => 2267,
        "آستانه" => 2268,
        "خمین" => 2269,
        "رباطمراد" => 2270,
        "غرق آباد" => 2271,
        "مامونیه" => 2272,
        "تفرش" => 2273,
        "آشتیان" => 2274,
        "شهرجدیدمهاجران" => 2275,
        "اصفهانک" => 2277,
        "حکیم اباد" => 2280,
        "صدراباد" => 2282,
        "نیمور" => 2283,
        "نخجیروان" => 2284,
        "باقراباد" => 2285,
        "بزیجان" => 2286,
        "عیسی اباد" => 2287,
        "خورهه" => 2288,
        "نراق" => 2289,
        "کرهرود" => 2290,
        "جاورسیان" => 2291,
        "ادشته" => 2292,
        "استوه" => 2293,
        "سنجان" => 2294,
        "اناج" => 2295,
        "وفس" => 2296,
        "خسروبیگ" => 2297,
        "میلاجرد" => 2298,
        "سمقاور" => 2299,
        "هزاوه" => 2300,
        "هفته" => 2302,
        "لنجرود" => 2303,
        "توره" => 2304,
        "کزاز" => 2305,
        "کتیران بالا" => 2306,
        "نهرمیان" => 2307,
        "سرسختی بالا" => 2308,
        "لوزدرعلیا" => 2309,
        "هندودر" => 2310,
        "تواندشت علیا" => 2311,
        "مالمیر" => 2312,
        "چهارچریک" => 2313,
        "چهارچشمه" => 2314,
        "لکان" => 2315,
        "قورچی باشی" => 2316,
        "ورچه" => 2317,
        "فرفهان" => 2318,
        "امامزاده ورچه" => 2319,
        "رباطکفسان" => 2320,
        "ریحان علیا" => 2321,
        "جزنق" => 2322,
        "خوراوند" => 2323,
        "میشیجان علیا" => 2324,
        "نوبران" => 2327,
        "یل اباد" => 2328,
        "رازقان" => 2329,
        "الویر" => 2330,
        "دوزج" => 2331,
        "علیشار" => 2332,
        "بالقلو" => 2333,
        "زاویه" => 2334,
        "قاقان" => 2336,
        "دخان" => 2338,
        "فرمهین" => 2340,
        "زاغر" => 2342,
        "فشک" => 2344,
        "اهنگران" => 2345,
        "مزرعه نو" => 2346,
        "صالح اباد" => 2347,
        "سیاوشان" => 2348,
        "اهو" => 2349,
        "پرندک" => 2350,
        "ساروق" => 2351,
        "داودآباد" => 2352,
        "کارچان" => 2353,
        "بندرعباس" => 2354,
        "خمیر" => 2355,
        "کیش" => 2356,
        "قشم" => 2357,
        "بستک" => 2358,
        "بندرلنگه" => 2359,
        "میناب" => 2360,
        "دهبارز" => 2361,
        "پشته ایسین" => 2362,
        "پل شرقی" => 2363,
        "فین" => 2364,
        "سیاهو" => 2365,
        "فارغان" => 2366,
        "باغات" => 2367,
        "ابگرم خورگو" => 2369,
        "قلعه قاضی" => 2370,
        "حسن لنگی پایین" => 2371,
        "سیریک" => 2372,
        "گونمردی" => 2373,
        "گوهرت" => 2374,
        "درگهان" => 2375,
        "سوزا" => 2376,
        "هرمز" => 2377,
        "جزیره لارک شهری" => 2378,
        "هنگام جدید" => 2379,
        "جزیره سیری" => 2380,
        "ابوموسی" => 2381,
        "پدل" => 2382,
        "کنگ" => 2383,
        "دژگان" => 2384,
        "رویدر" => 2385,
        "دهنگ" => 2386,
        "جناح" => 2387,
        "کمشک" => 2388,
        "گزیر" => 2389,
        "بندرمغویه" => 2390,
        "چارک" => 2391,
        "دشتی" => 2392,
        "پارسیان" => 2393,
        "جزیره لاوان" => 2394,
        "بندرجاسک" => 2395,
        "بندر" => 2396,
        "سندرک" => 2397,
        "درپهن" => 2398,
        "کلورجکدان" => 2399,
        "گوهران" => 2400,
        "جغین" => 2402,
        "زیارت علی" => 2403,
        "ماشنگی" => 2404,
        "گوربند" => 2405,
        "تیاب" => 2406,
        "بندزرک" => 2407,
        "هشتبندی" => 2408,
        "سرگز" => 2409,
        "تخت" => 2410,
        "گروک" => 2411,
        "کوشکنار" => 2412,
        "بیکاه" => 2413,
        "همه کسی" => 2414,
        "پرلوک" => 2416,
        "حسین ابادبهارعاشوری" => 2417,
        "مهاجران" => 2418,
        "ویرایی" => 2419,
        "مریانج" => 2420,
        "چنارسفلی" => 2423,
        "چنارعلیا" => 2424,
        "آجین" => 2425,
        "طویلان سفلی" => 2426,
        "کوریجان" => 2427,
        "قهوردسفلی" => 2429,
        "اکنلو" => 2430,
        "شیرین سو" => 2431,
        "داق داق اباد" => 2433,
        "قهاوند" => 2434,
        "تجرک" => 2435,
        "کوزره" => 2436,
        "چانگرین" => 2437,
        "دمق" => 2438,
        "رزن" => 2439,
        "قروه درجزین" => 2440,
        "ازناو" => 2441,
        "زنگنه" => 2443,
        "سامن" => 2444,
        "اورزمان" => 2445,
        "جوکار" => 2446,
        "جعفریه (قلعه جعفربیک )" => 2448,
        "سرکان" => 2449,
        "فرسفج" => 2451,
        "ولاشجرد" => 2452,
        "اشتران" => 2453,
        "باباپیر" => 2454,
        "جهان اباد" => 2455,
        "باباقاسم" => 2456,
        "بابارستم" => 2457,
        "گیان" => 2458,
        "دهفول" => 2459,
        "فیروزان" => 2460,
        "شهرک صنعتی بوعلی" => 2461,
        "پایگاه نوژه" => 2462,
        "علیصدر" => 2463,
        "ازندریان" => 2464,
        "بهار" => 2465,
        "اسدآباد" => 2466,
        "کبودرآهنگ" => 2467,
        "فامنین" => 2468,
        "ملایر" => 2469,
        "تویسرکان" => 2470,
        "نهاوند" => 2471,
        "گنبد" => 2472,
        "جورقان" => 2473,
        "پادگان قهرمان" => 2474,
        "همدان" => 2475,
        "لالجین" => 2476,
        "دیناراباد" => 2477,
        "برزول" => 2478,
        "ابرکوه" => 2479,
        "میبد" => 2481,
        "بافق" => 2482,
        "مهریز" => 2483,
        "تفت" => 2484,
        "یزد" => 2485,
        "مهردشت" => 2486,
        "شاهدیه" => 2487,
        "ندوشن" => 2488,
        "احمد آباد" => 2489,
        "احمدآباد" => 2489,
        "عقدا" => 2490,
        "بهاباد" => 2491,
        "مروست" => 2492,
        "خضر آباد" => 2494,
        "خضرآباد" => 2494,
        "زارچ" => 2495,
        "هرات" => 2496,
        "حمیدیا" => 2497,
        "فراغه" => 2498,
        "اسفنداباد" => 2499,
        "زرین" => 2501,
        "بفروئیه" => 2502,
        "اسفیج" => 2503,
        "بنستان" => 2506,
        "تنگ چنار (چنار)" => 2507,
        "ارنان" => 2508,
        "بهادران" => 2509,
        "ناحیه صنعتی پیشکوه" => 2511,
        "نصراباد" => 2512,
        "ناحیه صنعتی گاریزات" => 2514,
        "دهشیر" => 2515,
        "اشکذر" => 2517,
    );

    $key = generateRandomStringCRM(32);
    $crmSetting = get_option( 'crm_setting' );
    if (isset( $crmSetting['key'] ) && ! empty( $crmSetting['key'])){
        $key = $crmSetting['key'];
    }
    if (isset($_REQUEST['key']) && $_REQUEST['key'] == $key) {

        $statesArray = [
            "ABZ" => 5,
            "ADL" => 3,
            "EAZ" => 1,
            "WAZ" => 2,
            "BHR" => 7,
            "CHB" => 9,
            "FRS" => 17,
            "GIL" => 25,
            "GLS" => 24,
            "HDN" => 30,
            "HRZ" => 29,
            "ILM" => 6,
            "ESF" => 4,
            "KRN" => 21,
            "KRH" => 22,
            "NKH" => 12,
            "RKH" => 11,
            "SKH" => 10,
            "KHZ" => 13,
            "KBD" => 23,
            "KRD" => 20,
            "LRS" => 26,
            "MKZ" => 28,
            "MZN" => 27,
            "GZN" => 18,
            "QHM" => 19,
            "SMN" => 15,
            "SBN" => 16,
            "THR" => 8,
            "YZD" => 31,
            "ZJN" => 14
        ];
        $woo_countries = new WC_Countries();
        $default_country = $woo_countries->get_base_country();
        $states = $woo_countries->get_states($default_country);
        $users = get_users('orderby=id');
        $i = 0;
        foreach ($users as $user) {
            if ($user->roles[0] != 'administrator' && $user->roles[0] != 'shop_manager') {
                $UserData = get_user_meta($user->ID);
                if (($UserData['billing_phone'][0]) != null) {
//                    $DBRecord[$i]['role'] = $user->roles[0] == 'customer' ? 'مشترک' : '';
                    $DBRecord[$i]['Id'] = $user->ID+1000;
                    $DBRecord[$i]['FirstName'] = $user->first_name;
                    $DBRecord[$i]['LastName'] = $user->last_name;
                    $DBRecord[$i]['RegisteredDate'] = $user->user_registered;
                    $DBRecord[$i]['Email'] = $user->user_email;


                    $DBRecord[$i]['FullAddress'] = $states[$UserData['billing_state'][0]] . " - " . $UserData['billing_city'][0] . " - " . $UserData['billing_address_1'][0];
                    $DBRecord[$i]['Address'] = $UserData['billing_address_1'][0];
                    $DBRecord[$i]['CityCode'] = $cities[$UserData['billing_city'][0]];
                    $DBRecord[$i]['City'] = $UserData['billing_city'][0];
                    $DBRecord[$i]['StateCode'] = $statesArray[$UserData['billing_state'][0]];
                    $DBRecord[$i]['State'] = $states[$UserData['billing_state'][0]];
                    $DBRecord[$i]['PostCode'] = $UserData['billing_postcode'][0];
                    $DBRecord[$i]['Phone'] = $UserData['billing_phone'][0];
                    $i++;
                }
            }
        }
        return $DBRecord;
    }else{
        return 'کلید ارسالی صحیح نمی باشد';
    }

}

add_action('rest_api_init', function () {
    register_rest_route('app/api/v1', '/crm', array(
        'methods' => 'POST',
        'callback' => 'api_crm_users',
        'permission_callback' => '__return_true'
    ));
});

